libcdr::CDRPathElement Class Reference documentation

libcdr::CDRPathElement Class Referenceabstract

`#include <CDRPath.h>`

Inheritance diagram for libcdr::CDRPathElement:

## Public Member Functions
| CDRPathElement ()
virtual | ~CDRPathElement ()
virtual void | writeOut (librevenge::RVNGPropertyListVector &vec) const =0
virtual void | transform (const CDRTransforms &trafos)=0
virtual void | transform (const CDRTransform &trafo)=0
virtual std::unique_ptr< CDRPathElement > | clone ()=0

## Constructor & Destructor Documentation

## ◆ CDRPathElement()

libcdr::CDRPathElement::CDRPathElement | ( |  | ) |
| inline

## ◆ ~CDRPathElement()

virtual libcdr::CDRPathElement::~CDRPathElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual std::unique_ptr< CDRPathElement > libcdr::CDRPathElement::clone | ( |  | ) |
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRCubicBezierToElement, libcdr::CDRLineToElement, libcdr::CDRMoveToElement, libcdr::CDRPath, libcdr::CDRQuadraticBezierToElement, and libcdr::CDRSplineToElement.

## ◆ transform() [1/2]

virtual void libcdr::CDRPathElement::transform | ( | const CDRTransform & | trafo | ) |
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRCubicBezierToElement, libcdr::CDRLineToElement, libcdr::CDRMoveToElement, libcdr::CDRPath, libcdr::CDRQuadraticBezierToElement, and libcdr::CDRSplineToElement.

## ◆ transform() [2/2]

virtual void libcdr::CDRPathElement::transform | ( | const CDRTransforms & | trafos | ) |
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRCubicBezierToElement, libcdr::CDRLineToElement, libcdr::CDRMoveToElement, libcdr::CDRPath, libcdr::CDRQuadraticBezierToElement, and libcdr::CDRSplineToElement.

## ◆ writeOut()

virtual void libcdr::CDRPathElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| pure virtual

Implemented in libcdr::CDRArcToElement, libcdr::CDRClosePathElement, libcdr::CDRCubicBezierToElement, libcdr::CDRLineToElement, libcdr::CDRMoveToElement, libcdr::CDRPath, libcdr::CDRQuadraticBezierToElement, and libcdr::CDRSplineToElement.

The documentation for this class was generated from the following file:

- CDRPath.h